precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform highp vec2 repeatCount;

void main()
{
    float percentWidth, percentHeight, resultX, resultY;
    int  indexX, indexY;
    percentWidth = 1.0 / repeatCount.x;
    percentHeight = 1.0 / repeatCount.y;
    indexX = int(textureCoordinate.x / percentWidth);
    resultX = (textureCoordinate.x - float(indexX) * percentWidth) / percentWidth;
    indexY = int(textureCoordinate.y / percentHeight);
    resultY = (textureCoordinate.y - float(indexY) * percentHeight) / percentHeight;
    return texture2D(inputImageTexture, vec2(resultX, resultY));
}